For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • PUTUpdate A Company User
              • GETGet Company Users
              • POSTCreate A Company User
              • PUTUpdate Company User
              • POSTBulk Create Company User
              • GETGet A Company User
              • DELDelete A Company User
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APIUser

Bulk Create Company User

Deprecated
POST
https://api-b2b.bigcommerce.com/api/v2/io/companies/:companyId/users/bulk_create
POST
/api/v2/io/companies/:companyId/users/bulk_create
$curl -X POST https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/users/bulk_create \
> -H "authToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "code": 200,
3 "data": {
4 "failedItems": [],
5 "successfulItems": [
6 {
7 "customerId": 2,
8 "email": "user1@example.com",
9 "firstName": "Jane",
10 "lastName": "Smith",
11 "phone": "555-123-4567",
12 "userRole": 1
13 },
14 {
15 "customerId": 2,
16 "email": "user2@example.com",
17 "firstName": "John",
18 "lastName": "Doe",
19 "phone": "555-987-6543",
20 "userRole": 1
21 }
22 ]
23 },
24 "message": "Success"
25}
Create company users in batch
Was this page helpful?
Previous

Update Company User

Next

Get A Company User

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

companyIdstringRequired

Headers

authTokenstringRequired
Auth token in header.

Request

Request body
acceptWelcomeEmailenumOptional

(0=will not receive email 1=will receive email)

Allowed values:
userslist of objectsOptional

Response

Response Success
codedouble
Response status code
dataobject
Response data
messagestring
Response message

Errors

400
Bad Request Error
404
Not Found Error